From: tip-bot for Jiri Olsa <tipbot@zytor.com>
To: linux-tip-commits@vger.kernel.org
Cc: dsahern@gmail.com, jolsa@kernel.org, hpa@zytor.com,
computersforpeace@gmail.com, sam@ravnborg.org,
dhowells@redhat.com, paulus@samba.org, bp@suse.de,
mingo@kernel.org, namhyung@kernel.org, mmarek@suse.cz,
linux-kernel@vger.kernel.org, tglx@linutronix.de,
acme@redhat.com, a.p.zijlstra@chello.nl
Subject: [tip:perf/core] perf tests: Add build tests for building perf from kernel source root and tools
Date: Tue, 5 May 2015 19:56:44 -0700 [thread overview]
Message-ID: <tip-c41c6647e515c4eb6f754e83e15c1660692c6ce9@git.kernel.org> (raw)
In-Reply-To: <1429389280-18720-4-git-send-email-jolsa@kernel.org>
Commit-ID: c41c6647e515c4eb6f754e83e15c1660692c6ce9
Gitweb: http://git.kernel.org/tip/c41c6647e515c4eb6f754e83e15c1660692c6ce9
Author: Jiri Olsa <jolsa@kernel.org>
AuthorDate: Sat, 18 Apr 2015 22:34:40 +0200
Committer: Arnaldo Carvalho de Melo <acme@redhat.com>
CommitDate: Wed, 29 Apr 2015 10:37:47 -0300
perf tests: Add build tests for building perf from kernel source root and tools
Adding build tests for following make commands:
$ make -C <kernelsrc> tools/perf
$ make -C <kernelsrc>/tools perf
Signed-off-by: Jiri Olsa <jolsa@kernel.org>
Cc: Borislav Petkov <bp@suse.de>
Cc: Brian Norris <computersforpeace@gmail.com>
Cc: David Ahern <dsahern@gmail.com>
Cc: David Howells <dhowells@redhat.com>
Cc: Michal Marek <mmarek@suse.cz>
Cc: Namhyung Kim <namhyung@kernel.org>
Cc: Paul Mackerras <paulus@samba.org>
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>
Cc: Sam Ravnborg <sam@ravnborg.org>
Cc: linux-kbuild@vger.kernel.org
Link: http://lkml.kernel.org/r/1429389280-18720-4-git-send-email-jolsa@kernel.org
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
---
tools/perf/tests/make | 14 +++++++++++++-
1 file changed, 13 insertions(+), 1 deletion(-)
diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index bff8532..901ec91 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -223,7 +223,19 @@ tarpkg:
echo "- $@: $$cmd" && echo $$cmd > $@ && \
( eval $$cmd ) >> $@ 2>&1
-all: $(run) $(run_O) tarpkg
+make_kernelsrc:
+ @echo " - make -C <kernelsrc> tools/perf"
+ $(call clean); \
+ (make -C ../.. tools/perf) > $@ 2>&1 && \
+ test -x perf && rm -f $@ || (cat $@ ; false)
+
+make_kernelsrc_tools:
+ @echo " - make -C <kernelsrc>/tools perf"
+ $(call clean); \
+ (make -C ../../tools perf) > $@ 2>&1 && \
+ test -x perf && rm -f $@ || (cat $@ ; false)
+
+all: $(run) $(run_O) tarpkg make_kernelsrc make_kernelsrc_tools
@echo OK
out: $(run_O)
prev parent reply other threads:[~2015-05-06 2:57 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-04-18 20:34 [PATCH 0/3] tools build: Fix tools Makefile Jiri Olsa
2015-04-18 20:34 ` [PATCH 1/3] tools build: No need to make libapi for perf explicitly Jiri Olsa
2015-04-20 20:12 ` Arnaldo Carvalho de Melo
2015-05-06 2:56 ` [tip:perf/core] " tip-bot for Jiri Olsa
2015-04-18 20:34 ` [PATCH 2/3] tools build: Fix Makefile(s) to properly invoke tools build Jiri Olsa
2015-05-06 2:56 ` [tip:perf/core] " tip-bot for Jiri Olsa
2015-04-18 20:34 ` [PATCH 3/3] perf tests: Add build tests for building perf from kernel source root and tools Jiri Olsa
2015-05-06 2:56 ` tip-bot for Jiri Olsa [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=tip-c41c6647e515c4eb6f754e83e15c1660692c6ce9@git.kernel.org \
--to=tipbot@zytor.com \
--cc=a.p.zijlstra@chello.nl \
--cc=acme@redhat.com \
--cc=bp@suse.de \
--cc=computersforpeace@gmail.com \
--cc=dhowells@redhat.com \
--cc=dsahern@gmail.com \
--cc=hpa@zytor.com \
--cc=jolsa@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-tip-commits@vger.kernel.org \
--cc=mingo@kernel.org \
--cc=mmarek@suse.cz \
--cc=namhyung@kernel.org \
--cc=paulus@samba.org \
--cc=sam@ravnborg.org \
--cc=tglx@linutronix.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Powered by JetHome